#include<stdio.h>
#include<math.h>
double L,D,p,q,r;
int br=0,i;
int main(){
	scanf("%lf%lf%lf%lf%lf",&p,&q,&r,&L,&D);
	for(i=L;i<=D;i++)if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)br++;
	printf("%d",br);
	return 0;
}